/*
 *  Copyright 2011 jmarsden.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  under the License.
 */
package jsonij.json.profile;

import java.io.IOException;
import jsonij.json.JSON;
import jsonij.parser.ParserException;

/**
 *
 * @author jmarsden
 */
public class Harness {

    public static void main(String[] args) throws ParserException, IOException {
        final String input = "{\r\n" +
             "\"firstName\": \"John\",\r\n" +
             "\"lastName\": \"Smith\",\r\n" +
             "\"age\": 25,\r\n" +
             "\"address\":\r\n" +
             "{\r\n" +
                 "\"streetAddress\": \"21 2nd Street\",\r\n" +
                 "\"city\": \"New York\",\r\n" +
                 "\"state\": \"NY\",\r\n" +
                 "\"postalCode\": \"10021\"\r\n" +
             "},\r\n" +
             "\"phoneNumber\":\r\n" +
             "[\r\n" +
                 "{\r\n" +
                   "\"type\": \"home\",\r\n" +
                   "\"number\": \"212 555-1234\"\r\n" +
                 "},\r\n" +
                 "{\r\n" +
                   "\"type\": \"fax\",\r\n" +
                   "\"number\": 6465554567\r\n" +
                 "}\r\n" +
             "]\r\n" +
         "}\r\n";
        for (int i = 0; i < 10000; i++) {
            JSON json = JSON.parse(input);
            String outputJSON = json.toJSON();
        }
    }
}
